Get a Volunteer Organizer
curl --request GET \
--url https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Organizers/{volunteerOrganizerId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Organizers/{volunteerOrganizerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Organizers/{volunteerOrganizerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Organizers/{volunteerOrganizerId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Organizers/{volunteerOrganizerId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "<integer>",
"volunteerOrganizerUrl": "<string>",
"contactId": "<integer>",
"displayName": "<string>",
"firstName": "<string>",
"avatarUrl": "<string>",
"primaryPhone": "<string>",
"primaryEmail": "<string>",
"contactUrl": "<string>",
"volunteerOpportunityUrl": "<string>"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Volunteering
Get a Volunteer Organizer
Returns a single volunteer organizer, including their name and primary phone and email.
GET
/
api
/
VolunteerOpportunity
/
{volunteerOpportunityId}
/
Organizers
/
{volunteerOrganizerId}
Get a Volunteer Organizer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The volunteer organizer identifier.
(Required) The volunteer opportunity identifier.
Response
OK
The unique identifier of the record in Virtuous.
The identifier of the contact this record belongs to.
The label to show for this value in a user interface.
A link to the related contact.
Last modified on August 11, 2026
Was this page helpful?
⌘I